Runtime

## org.eclipse.gmf.runtime.draw2d.ui.graph
Class ConstantSizeNode

    java.lang.Object
      org.eclipse.draw2d.graph.Node
          org.eclipse.gmf.runtime.draw2d.ui.graph.ConstantSizeNode

Direct Known Subclasses:
  BorderNode

    public class ConstantSizeNode

extends Node

The node the size of which will not be modified by the layout algorithm. The node also has the support for:

- Border nodes
- Padding of incomimg and outgoing edges end points

  Since:
    2.1

  Field Summary
  `java.util.List<BorderNode>` `borderNodes` List of border nodes owned by this node.

  Fields inherited from class org.eclipse.draw2d.graph.Node
  `data, height, incoming, incomingOffset, outgoing, outgoingOffset, rowOrder, sortValue, width, x, y`

  Constructor Summary
  `ConstantSizeNode()` Constructs the instance of the class
  `ConstantSizeNode(java.lang.Object data)` Constructs a node with the given data object
  `ConstantSizeNode(java.lang.Object data, Subgraph parent)` Constructs a node attached to the parent subgraph

  Method Summary
  `int` `getMinIncomingPadding()` Gets the minimal padding between the end points of incoming edges
  `int` `getMinOutgoingPadding()` Gets the minimal padding between the start points of outgoing edges
  `void` `setMinIncomingPadding(int minIncomingPadding)` Sets the minimal padding between the end points of incoming edges.
  `void` `setMinOutgoingPadding(int minOutgoingPadding)` Sets the minimal padding between the start points of outgoing edges

  Methods inherited from class org.eclipse.draw2d.graph.Node
  `getLeft, getOffsetIncoming, getOffsetOutgoing, getPadding, getParent, getRight, getRowConstraint, setPadding, setParent, setRowConstraint, setSize, toString`

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  Field Detail

  ### borderNodes

      public java.util.List<BorderNode> borderNodes

    List of border nodes owned by this node. The list should be modified manually. Use the border node constructor instead - it will updates parent's list of border nodes automatically.

    Since:
      2.1

  Constructor Detail

  ### ConstantSizeNode

      public ConstantSizeNode()

    Constructs the instance of the class

    Since:
      2.1

  ### ConstantSizeNode

      public ConstantSizeNode(java.lang.Object data)

    Constructs a node with the given data object

    Parameters:
      `data` - an arbitrary data object
    Since:
      2.1

  ### ConstantSizeNode

      public ConstantSizeNode(java.lang.Object data,
                              Subgraph parent)

    Constructs a node attached to the parent subgraph

    Parameters:
      `data` - data
      `parent` - subgraph parent
    Since:
      2.1

  Method Detail

  ### getMinIncomingPadding

      public int getMinIncomingPadding()

    Gets the minimal padding between the end points of incoming edges

    Returns:
      the padding value
    Since:
      2.1

  ### setMinIncomingPadding

      public void setMinIncomingPadding(int minIncomingPadding)

    Sets the minimal padding between the end points of incoming edges.

    Parameters:
      `minIncomingPadding` -
    Since:
      2.1

  ### getMinOutgoingPadding

      public int getMinOutgoingPadding()

    Gets the minimal padding between the start points of outgoing edges

    Returns:
      the padding
    Since:
      2.1

  ### setMinOutgoingPadding

      public void setMinOutgoingPadding(int minOutgoingPadding)

    Sets the minimal padding between the start points of outgoing edges

    Parameters:
      `minOutgoingPadding` -
    Since:
      2.1

  Runtime

  Guidelines for using Eclipse APIs.

  Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.